%global short_name   jcommander

Name:             beust-%{short_name}
Version:          1.47
Release:          %mkrel 5
Group:            Development/Java
Summary:          Java framework for parsing command line parameters
License:          ASL 2.0
URL:              http://jcommander.org/
BuildArch:        noarch

Source0:          https://github.com/cbeust/%{short_name}/archive/%{short_name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.beust:jcommander)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(org.testng:testng)

%description
JCommander is a very small Java framework that makes it trivial to
parse command line parameters (with annotations).

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the %{summary}.

%prep
%setup -q -n %{short_name}-%{short_name}-%{version}
chmod -x license.txt

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc license.txt notice.md README.markdown

%files javadoc -f .mfiles-javadoc
%doc license.txt notice.md



%changelog
* Thu May 18 2017 neoclust <neoclust> 1.47-5.mga6
+ Revision: 1102947
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 1.47-4.mga6
+ Revision: 982032
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.47-3.mga6
+ Revision: 975680
- First rebuild of the java stack
- sync package beust-jcommander with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 01 2015 pterjan <pterjan> 1.35-1.mga5
+ Revision: 807916
- Sync with Fedora 21 (update to 1.35)

* Wed Oct 15 2014 umeabot <umeabot> 1.30-4.mga5
+ Revision: 746696
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30-2.mga4
+ Revision: 522329
- Mageia 4 Mass Rebuild

* Tue Feb 19 2013 dmorgan <dmorgan> 1.30-1.mga3
+ Revision: 399379
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.17-6.mga3
+ Revision: 346897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.17-5.mga3
+ Revision: 293249
- Install NOTICE files

* Mon Jun 25 2012 dmorgan <dmorgan> 1.17-4.mga3
+ Revision: 263679
- Adapt to new guidelines

* Wed Jul 20 2011 dmorgan <dmorgan> 1.17-2.mga2
+ Revision: 127017
- imported package beust-jcommander


* Mon May 16 2011 Jaromir Capik <jcapik@redhat.com> - 1.17-2
- Unwanted comment removal
- Target javadoc:jar replaced with javadoc:aggregate

* Fri May 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.17-1
- Initial version of the package
